Bug 178504

Summary: Consolidate calls to insertedInto and expand the coverage of NoEventDispatchAssertion
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: DOMAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, commit-queue, jiewen_tan, koivisto, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Cleanup
none
Updated for trunk none

Description Ryosuke Niwa 2017-10-18 23:23:20 PDT
Right now, there is a whole bunch of helper functions to call notifyChildNodeInserted and didFinishInsertingNode.
Consolidate these call sites into one with NoEventDispatchAssertion,
and make the exact timing at which event dispatch gets allowed clear.
Comment 1 Ryosuke Niwa 2017-10-18 23:33:20 PDT
Created attachment 324208 [details]
Cleanup
Comment 2 Build Bot 2017-10-18 23:36:14 PDT
Attachment 324208 [details] did not pass style-queue:


ERROR: Source/WebCore/dom/ContainerNode.h:73:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Ryosuke Niwa 2017-10-18 23:37:50 PDT
(In reply to Build Bot from comment #2)
> Attachment 324208 [details] did not pass style-queue:
> 
> 
> ERROR: Source/WebCore/dom/ContainerNode.h:73:  enum members should use
> InterCaps with an initial capital letter or initial 'k' for C-style enums. 
> [readability/enum_casing] [4]
> Total errors found: 1 in 16 files
> 
> 
> If any of these errors are false positives, please file a bug against
> check-webkit-style.

This is a false positive in the style checker for ChildChangeSource::API.
Comment 4 Ryosuke Niwa 2017-10-19 00:10:57 PDT
Created attachment 324210 [details]
Updated for trunk
Comment 5 Build Bot 2017-10-19 00:13:59 PDT
Attachment 324210 [details] did not pass style-queue:


ERROR: Source/WebCore/dom/ContainerNode.h:73:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
Total errors found: 1 in 16 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Antti Koivisto 2017-10-19 02:26:15 PDT
Comment on attachment 324210 [details]
Updated for trunk

Nice, r=me
Comment 7 Ryosuke Niwa 2017-10-19 03:07:51 PDT
Comment on attachment 324210 [details]
Updated for trunk

Thanks for the reviews!
Comment 8 WebKit Commit Bot 2017-10-19 03:34:35 PDT
Comment on attachment 324210 [details]
Updated for trunk

Clearing flags on attachment: 324210

Committed r223687: <https://trac.webkit.org/changeset/223687>
Comment 9 WebKit Commit Bot 2017-10-19 03:34:36 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-10-20 14:30:12 PDT
<rdar://problem/35102384>